Subject: Re: menu position hints 'bug' solved

From: Dominik Vogt <[email-masked]>
Date: Thu, 27 Apr 2000 04:30:41 +0200

On Thu, Apr 27, 2000 at 04:34:08AM +0300, Mikhael Goikhman wrote:
> On 27 Apr 2000 01:27:20 +0200, Dominik Vogt wrote:
> > 
> > Mikhael, I can't find the original problem description,
> > but what you reported was like this:
> > 
> >   AddToMenu foo "foo" menu foo root +20p +20p
> > 
> > When you call the menu with
> > 
> >   menu root c c
> > 
> > it comes up at the center of the screen, but if you select
> > its own entry it won't go to +20p +20p.
> 
> No, this is not what I reported. I reported an inconsistence, when menu
> hints of the child menu are only inherited from the parent if-and-only-if
> the parent menu has no pixmaps. Here is a repost.
> 
> ----------------------------------------------------------------------------
> It looks strange, but: if the menu has *any* pixmap (mini icon or face)
> any submenu hints stop to work. If the menu has no pixmaps, they work.
> 
> Try:
> 
> AddToMenu menu1
> + menu1 Title
> + "self" Menu menu1
> 
> AddToMenu menu2
> + menu2 Title
> + "self%mini.xterm.xpm" Menu menu2
> 
> Mouse 1 1 C Menu menu1
> Mouse 1 1 M Menu menu2
> 
> Press Ctrl-Mouse1 on your titlebar button 1, choose the "self" submenu.
> Now do the same with Alt-Mouse1. (Check that you have mini.xterm.xpm or so.)

Ah, finally I understand what you tried to tell me.  It has nothing
to do with position hints that menus invoked from title buttons are
placed near the button.  This is hard coded.  The bug you saw is that
sometimes menus opened via 'Menu' in a menu are placed adjacent to
the button again, not vice versa.  I have fixed this one.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]